Gecode::Gist::NodeStatInspector Class Reference

Display information about nodes. More...

`#include <nodestats.hh>`

## Public Slots

void | showStats (void)
| Show this window and bring it to the front.

## Public Member Functions

| NodeStatInspector (QWidget *parent)
void | node (const VisualNode::NodeAllocator &, VisualNode *n, const Statistics &stat, bool finished)
| Update display to reflect information about n.

## Detailed Description

Display information about nodes.

Definition at line 49 of file nodestats.hh.

## Constructor & Destructor Documentation

## NodeStatInspector()

Gecode::Gist::NodeStatInspector::NodeStatInspector | ( | QWidget * | parent | ) |

Definition at line 42 of file nodestats.cpp.

## Member Function Documentation

## node()

void Gecode::Gist::NodeStatInspector::node | ( | const VisualNode::NodeAllocator & | na,
|  | VisualNode * | n,
|  | const Statistics & | stat,
|  | bool | finished )

Update display to reflect information about n.

Definition at line 103 of file nodestats.cpp.

## showStats

void Gecode::Gist::NodeStatInspector::showStats | ( | void |  | ) |

slot

Show this window and bring it to the front.

Definition at line 127 of file nodestats.cpp.

The documentation for this class was generated from the following files:

- gecode/gist/nodestats.hh
- gecode/gist/nodestats.cpp